## balder2d 1.0~rc1

=== SConstruct ===
# SConstruct for building balder2d with scons
includepath = ['/usr/include/python2.4']
libpath = ['../gnelib/lib/linux/']
env = Environment(CPPPATH=includepath, LIBPATH=libpath)
#avoid leaving .sconsign files all over the place, put all signatures in:
env.SConsignFile("scons-signatures")

debug = ARGUMENTS.get('debug', 0)
if int(debug):
    env.Append(CCFLAGS = '-g')

import glob
files = glob.glob("src/*.cpp") + glob.glob("src/*/*.cpp") + glob.glob("src/*/*.c")
libs = Split('guichan_sdl guichan SDL_image SDL_mixer SDL_gfx python2.4 boost_filesystem')

env.ParseConfig('sdl-config --cflags --libs')
env.Program('bin/balder2d',files, LIBS=libs)

SConscript('bin/scripts/test/SConscript')

## balder2d 1.0

=== SConstruct ===
# SConstruct for building balder2d with scons
includepath = ['/usr/include/python2.4','include']
env = Environment(CPPPATH=includepath)
#avoid leaving .sconsign files all over the place, put all signatures in:
env.SConsignFile("scons-signatures")

debug = ARGUMENTS.get('debug', 0)
if int(debug):
    env.Append(CCFLAGS = '-g')

import glob
files = glob.glob("src/*.cpp") + glob.glob("src/*/*.cpp") + glob.glob("src/menu/*/*.cpp")+ glob.glob("src/*/*.c")
libs = Split('guichan_sdl guichan SDL_image SDL_mixer SDL_gfx python2.4 physfs')

env.ParseConfig('sdl-config --cflags --libs')
env.Program('bin/balder2d',files, LIBS=libs)

SConscript('bin/scripts/test/SConscript')

=== debian/changelog ===
balder2d (1.0-2) unstable; urgency=medium

  * QA upload.
  * Package is orphaned (Bug #831545). Set maintainer to "Debian QA Group".
  * Switch to "3.0 (quilt)" source format.
  * Raise debhelper compat level to 9. Closes: #817370.
  * Add build-arch and build-indep targets to debian/rules. Closes: #821965,

 -- Santiago Vila <sanvila@debian.org>  Thu, 28 Jul 2016 14:19:52 +0100

balder2d (1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove python-support, not actually used (Closes: #785947)
  * Use Debian's tinyxml rather than the bundled one.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 21 Aug 2015 17:30:23 +0200

balder2d (1.0-1.1) unstable; urgency=low

  * Non-maintainer upload, to drop Python 2.4; thanks to Luca Falavigna for the
    report and to Jakub Wilk; Closes: #562406, #518172
    - debian/control
      + b-d on 'python-dev (>= 2.4)' and not in the hardcoded 'python2.4-dev'
      + added python-support to b-d
    - SConstruct, bin/scripts/test/SConscript
      + dinamically include default python, instead of hardcode python2.4
  * SConstruct
    - added SDL to the list of library: it fixes a FTBFS when using gold as
      linker; thanks to Peter Fritzsche for the report; Closes: #553931

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jan 2010 21:42:11 +0100

balder2d (1.0-1) unstable; urgency=low

  * new upstream release
  * update for guichan 8.1 (Closes: #482584)
  * use physicsfs to make data/config/map/aiscript loading more flexible
  * new skins for menus
  * fix typo in control file long description (Closes: #458401)

 -- Bjørn Hansen <holomorph@users.sourceforge.net>  Sun, 15 Jun 2008 17:15:38 -0700

balder2d (1.0~rc1-5) unstable; urgency=low

  * fixed 'Can not change keyboard controls using gui' (Closes: #446702)

 -- Bjørn Hansen <holomorph@users.sourceforge.net>  Thu, 18 Oct 2007 02:41:32 +0000

balder2d (1.0~rc1-4) unstable; urgency=low

  * updated build dependancies to use libguichan2 instead of libguichan1 (Closes: #442957)

 -- Bjørn Hansen <holomorph@users.sourceforge.net>  Thu, 27 Sep 2007 03:24:31 +0000

balder2d (1.0~rc1-3) unstable; urgency=low

  * FTBFS: Incorrect version build-depends for libboost-filesystem-dev (Closes: #434039)
  * FTBFS: unmet b-dep libguichan0-dev (Closes: #436334)

 -- Bjørn Hansen <holomorph@users.sourceforge.net>  Tue, 14 Aug 2007 00:22:12 +0000

balder2d (1.0~rc1-2) unstable; urgency=low

  * fixed balder2d fails to run with current libguichan0 (0.6.x-x) (Closes: #427904)
  * fixed FTBFS with new libboost (Closes: #425069)
  * fixed FTBFS with GCC 4.3: missing #includes (Closes: #418620)
  * fixed typo in manpage  (Closes: #418871)

 -- Bjørn Hansen <holomorph@users.sourceforge.net>  Thu, 05 Jul 2007 01:14:46 +0000

balder2d (1.0~rc1-1) unstable; urgency=low

  * Initial release
  * This is my first Debian package.

 -- Bjørn Hansen <holomorph@users.sourceforge.net>  Sat, 14 Oct 2006 15:33:42 -0700

=== debian/control ===
Source: balder2d
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), scons, libphysfs-dev, libguichan-dev, libsdl1.2-dev, libsdl-gfx1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libstdc++6, python-dev (>= 2.4), libtinyxml-dev
Standards-Version: 3.8.0
Homepage: http://balder.sourceforge.net/balder2d/

Package: balder2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, balder2d-data
Description: A 2D shooter in zero gravity
 In Balder2D, players control small probes which shoot tiny projectiles with
 which they try to destroy each other. It features a 2D overhead view of the
 playing field. Probes may be human or computer controlled.
 .
 A probe can perform the following actions:
 .
    * rotate
    * fire projectiles
    * "stick" to a wall
    * push off of a wall
 .
 Players may rotate their probes while in flight, but the only way to change
 the direction or speed of flight is by firing projectiles (which gives a
 small kick in the opposite direction) or by running into walls or other probes.

Package: balder2d-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for balder2d
 In Balder2D, players control small probes which shoot tiny projectiles with
 which they try to destroy each other. It features a 2D overhead view of the
 playing field. Probes may be human or computer controlled.
 .
 A probe can perform the following actions:
 .
    * rotate
    * fire projectiles
    * "stick" to a wall
    * push off of a wall
 .
 Players may rotate their probes while in flight, but the only way to change
 the direction or speed of flight is by firing projectiles (which gives a
 small kick in the opposite direction) or by running into walls or other probes.
 .
 These are the common files for balder2d.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

DESTDIR=$(CURDIR)/debian/tmp

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	rm -rf src/tinyxml
	touch configure-stamp

build-arch: build

build-indep: build

build: build-stamp

build-stamp: configure-stamp 
	scons
	touch build-stamp

clean: 
	rm -f build-stamp configure-stamp
	scons -c
	rm -f scons-signatures*
	dh_clean 

install: build install-indep install-arch

install-indep:
	dh_prep -i
	dh_installdirs -i
	# DESTDIR=$(CURDIR)/debian/tmp is defined above
	mkdir -p $(DESTDIR)/usr/share/games/balder2d
	cp -r $(CURDIR)/bin/* $(DESTDIR)/usr/share/games/balder2d/
	rm $(DESTDIR)/usr/share/games/balder2d/balder2d
	rm $(DESTDIR)/usr/share/games/balder2d/maps/balder2d_export.py
	rm $(DESTDIR)/usr/share/games/balder2d/scripts/test/*
	rmdir $(DESTDIR)/usr/share/games/balder2d/scripts/test
	dh_install -i

install-arch:
	dh_prep -s
	dh_installdirs -s
	# Add commands here to install the binary files to debian/tmp.
	# DESTDIR=$(CURDIR)/debian/tmp is defined above
	mkdir -p $(DESTDIR)/usr/lib/balder2d
	cp $(CURDIR)/bin/balder2d $(DESTDIR)/usr/lib/balder2d
	mkdir -p $(DESTDIR)/usr/games
	cp $(CURDIR)/run_balder.sh $(DESTDIR)/usr/games/balder2d
	mkdir -p $(DESTDIR)/usr/share/applications/
	cp $(CURDIR)/Balder2D.desktop $(DESTDIR)/usr/share/applications/
	mkdir -p $(DESTDIR)/usr/share/pixmaps/
	cp $(CURDIR)/bin/balder2d.xpm $(DESTDIR)/usr/share/pixmaps/
	dh_install -s
	
binary-indep: build install
	dh_installchangelogs -i
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i
	
binary-arch: build install
	dh_installchangelogs history.txt -a
	dh_installdocs -a
	dh_installman debian/balder2d.6 -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
